# sMToken_value Struct Reference

`#include <m_token.h>`

## Data Fields

sMToken_base | base
uint64_t | value
uint64_t | size: 5
uint64_t | is_signed: 1

## Detailed Description

"value" token. Contains numerical expressions for decoded names.

See also:
  sMToken_dim

## Field Documentation

sMToken_base sMToken_value::base

Base descriptor header.

uint64_t sMToken_value::is_signed

Value signed bit

uint64_t sMToken_value::size

Byte width of value.

uint64_t sMToken_value::value

Integer value.

The documentation for this struct was generated from the following file:

- src/m_token.h